Bug 220965 - Fedora rawhide detects pSeries as iSeries
Fedora rawhide detects pSeries as iSeries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-29 12:49 EST by IBM Bug Proxy
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-07 15:44:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 30546 None None None Never

  None (edit)
Description IBM Bug Proxy 2006-12-29 12:49:03 EST
Problem description:

When attempting an installation using the Dec20 and Dec21 snapshots of rawhide,
a console error message was observed before the first installation screen that
was not seen before on the Dec19 snapshot.

viod: error opening (rest of message got overlayed with Lang Menu screen)
iseries_veth: Error (rest of message got overlayed with Lang Menu screen)
then several repeats of 
RTAS: event: 3, Type: Platform Error, Severity: 2

From above, it appears that anaconda is attempting to load the iseries_veth
module on a pSeries system. The Openpower 710 is a pSeries system.

On an OpenPower 720 (aka HV4) pSeries system with no vioserver installed, the
following was observed. On this system, an e1000 Intel on physical adapter is
used and accessing only IPR disks.

When this system was booted to start the install, it printed an error to the
console just before going to the install screen.

mounting /tmp as ramfs... done
running install...
running /sbin/loader
BUG: spinlock bad magic on CPU#1, loader/464 (Not tainted)
 lock: c0000000006d9008, .magic: 00000000, .owner: <none>/-1, .owner_cpu: 0
Call Trace:
[C000000002667730] [C000000000010D18] .show_stack+0x68/0x1b0 (unreliable)
[C0000000026677D0] [C0000000001B0F20] .spin_bug+0xd0/0x100
[C000000002667880] [C0000000001B1114] ._raw_spin_lock+0x48/0x180
[C000000002667920] [C0000000003CF0CC] ._spin_lock_irqsave+0x20/0x3c
[C0000000026679B0] [C0000000000503CC] .new_pending_event+0x30/0x13c
[C000000002667A40] [C00000000005083C] .mf_allocate_lp_events+0x40/0xe0
[C000000002667AE0] [D00000000018217C] .veth_allocate_events+0x88/0xc0 
[iseries_veth]
[C000000002667BD0] [D0000000001836F8] .veth_module_init+0x234/0x36c 
[iseries_veth]
[C000000002667C90] [C0000000000A1784] .sys_init_module+0x17c8/0x1990
[C000000002667E30] [C0000000000086C8] syscall_exit+0x0/0x40
mf.c: HvCallEvent_signalLpEvent() failed with 38
iseries_veth: Error: Can't allocate enough events for LPAR 1.
Welcome to Fedora Core
Comment 1 IBM Bug Proxy 2006-12-29 13:07:23 EST
----- Additional Comments From kumarr@us.ibm.com (prefers email at kumarr@linux.ibm.com)  2006-12-29 13:02 EDT -------
Retrying with boot: command option 'noprobe' 
presents a menu to load (when choosing install from disk)
find iSeries Virtual Scsi towards bottom of menu and it will recreate the 
above error message
 (or)
Power5 Virtual Scsi (ibmvscsi)   - this loads ok, and shows disks.
 
Now if the NFS or FTP install method is selected, a menu comes up with the
following choice of network modules to load:
iSeries Virtual Ethernet (iseries_veth) <- attempts load command, but fails to 
load and then gives error message similar to iSeries vscsi, but this time not 
hidden by the menu:
sdmf.c: HvCallEvent_signalLpEvent() failed with 38
iseries_veth: Error: Can't allocate enough events for LPAR 1.

If choosing proper pSeries Veth, you recreate Bugzilla bug 219885-Rawhide
install fails to config eth0 when loading ibmveth module which recreated on
Dec15 rawhide, but is now blocked from recreating by this bug, unless you choose
to work around this new bug with the 'noprobe' option 
Comment 2 Bill Nottingham 2007-01-01 22:53:01 EST
As I understand, we've moved to a unified kernel for iseries/pseries. In
general, the kernel drivers need to tolerate being loaded on all hardware.

Bumping to kernel for the moment for the stack trace/oops.
Comment 3 IBM Bug Proxy 2007-01-15 00:10:46 EST
----- Additional Comments From marksmit@us.ibm.com  2007-01-15 00:06 EDT -------
recreate symptoms have changed as of Jan14 rawhide.
ipr scsi and e1000 intel eth  lpars now successfully netboot and install:
 (although 1. only dhcp, not static)
 (although 2. anaconda default "autopartition" on all blank disks does not 
  properly create a prep partition nor install bootloader; booting in rescue
  mode after install reveals the partition table is unreadable, and asks to 
  re-initialize the disk, thus losing the installation.)
on original virtual resource lpars: (by using 'noprobe' I verify that) p-
Series ibmveth is being chosen, but it does not properly load, thus being 
stuck at the "Installation Method" screen, choosing NFS or FTP over and over 
with no progress.
These new symptoms: ibmveth not properly loading resemble:
LTC Bug 30395 - RH219885-Rawhide install fails to config eth0 when loading 
ibmveth module 
Comment 4 IBM Bug Proxy 2007-03-07 13:40:48 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ACCEPTED                    |CLOSED




------- Additional Comments From marksmit@us.ibm.com  2007-03-07 13:35 EDT -------
As of Fedora Core 7 - Test2 (aka 6.91), this problem is resolved.
Please close as fixed in rawhide. 

Note You need to log in before you can comment on or make changes to this bug.